Core - Bug # 41367

Task # 40095 (Resolved): Move core to namespaces

Status: Resolved Priority: Must have
Author: Helmut Hummel Category: Workspaces
Created: 2012-09-25 Assigned To:

Updated: 2013-12-10 Due date:

TYPO3 Version: 6.0

PHP Version:

Complexity:

Is Regression:

Sprint Focus:

Subject: Fix wrong replacements of the namespace refactoring

Description

If the refactoring script replaced things like "tx_foo_bar" first and "tx_foo_bar_baz" in a second step,

instances of "tx_foo_bar_baz" are already replaced during the first run, leading to "\TYPO3\CMS\Foo\Bar_baz'

Fix the class names to get the workspace module running again.

Associated revisions

Revision 9410969f - 2012-09-25 23:25 - Helmut Hummel

[BUGFIX] Fix wrong replacements of the namespace refactoring

If the refactoring script replaced things like "tx_foo_bar" first

and "tx_foo_bar_baz" in a second step, instances of "tx_foo_bar_baz" were
already replaced during the first run, leading to a wrong class name

like "\TYPO3\CMS\Foo\Bar_baz"

Fix the class names to get the workspace module running again.

Change-Id: 10c130452a85f87e2b048a4b692681b304ceabf10
Resolves: #41367
Releases: 6.0

Reviewed-on: http://review.typo3.org/15061

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

Revision b8893c18 - 2012-09-25 23:28 - Helmut Hummel

[BUGFIX] Fix wrong replacements of the namespace refactoring

If the refactoring script replaced things like "tx_foo_bar" first

and "tx_foo_bar_baz" in a second step, instances of "tx_foo_bar_baz" were

already replaced during the first run, leading to a wrong class name
like "TYPO3\CMS\Foo\Bar_baz"
http://review.typo3.org/15061

Fix the class names to get the workspace module running again.

Change-Id: lada66e64501c17649d4cf89def44e9f3d3286f46
Resolves: #41367

Releases: 6.0

Reviewed-on: http://review.typo3.org/15062

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History

#1 - 2012-09-25 22:09 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/15061

#2 - 2012-09-25 22:11 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15062

#3 - 2012-09-25 23:30 - Helmut Hummel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:3f3398fc27862003678d4844c62f1294303b1139.

#4 - 2013-12-10 00:57 - Michael Stucki

- Category set to Workspaces
#5 - 2013-12-10 01:02 - Michael Stucki

- Project changed from Workspaces & Versioning to Core
- Category changed from Workspaces to Workspaces
